#
# spec file for package MPI-Povray (Version 1.0 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libpng libz mpich xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         MPI-Povray
Version:      1.0 
Release:      157
Summary:      Povray with MPI-Support
Copyright:	GPL
Group:          Applications/Clustering
Requires:	mpich
URL:		http://www.verrall.demon.co.uk/mpipov/
Autoreqprov: on
Source: povuni_d.tgz
Source1: povuni_s.tgz    
Source2: mpipov-demo
Patch: povray31.dif
Patch1: mpi-povray-1.0.patch
BuildRoot:	/tmp/%{name}-%{version}-root

%description
MPI-Povray consists of a patch to the Povray 3.1g raytracer that distributes work amongst a number of processing elements.
Communication between the elements if acheived with MPI message passing.

Authors:
--------
    Leon Verrall<leon@sgi.com>

SuSE series: beo

%prep
%setup -n povray31 -b 1
%patch1 -p1
%patch

%build
cd source/mpi-unix
if [  -z "$MPI_HOME" ]; then
	export MPI_HOME=/usr/lib/mpich
fi
make MPI_HOME=$MPI_HOME newxwin

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755  source/mpi-unix/mpi-x-povray $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/bin
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc  source/mpi-unix/README.MPI-Povray
/usr/X11R6/bin/*
/usr/bin/*

%changelog -n MPI-Povray
* Tue Nov 07 2000 - nashif@suse.de
- Initial Release (Version 1.0)
